Package com.independentsoft.office.spreadsheet

# Class CustomFilters

java.lang.Object
com.independentsoft.office.spreadsheet.CustomFilters

public class CustomFilters extends Object
The Class CustomFilters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomFilters()`
  Instantiates a new custom filters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomFilters`
  `clone()`
  `CustomFilter`
  `getFirst()`
  Gets the first.
  `LogicalOperator`
  `getLogicalOperator()`
  Gets the logical operator.
  `CustomFilter`
  `getSecond()`
  Gets the second.
  `void`
  `setFirst​(CustomFilter first)`
  Sets the first.
  `void`
  `setLogicalOperator​(LogicalOperator logicalOperator)`
  Sets the logical operator.
  `void`
  `setSecond​(CustomFilter second)`
  Sets the second.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomFilters

    public CustomFilters()
    Instantiates a new custom filters.

- ## Method Details

  - ### clone

    public CustomFilters clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirst

    public CustomFilter getFirst()
    Gets the first.
    Returns:
      the first

  - ### setFirst

    public void setFirst​(CustomFilter first)
    Sets the first.
    Parameters:
      `first` - the new first

  - ### getSecond

    public CustomFilter getSecond()
    Gets the second.
    Returns:
      the second

  - ### setSecond

    public void setSecond​(CustomFilter second)
    Sets the second.
    Parameters:
      `second` - the new second

  - ### getLogicalOperator

    public LogicalOperator getLogicalOperator()
    Gets the logical operator.
    Returns:
      the logical operator

  - ### setLogicalOperator

    public void setLogicalOperator​(LogicalOperator logicalOperator)
    Sets the logical operator.
    Parameters:
      `logicalOperator` - the new logical operator